<ng-container *appVar="(isLoading$ | async) as isLoading">
  <ng-container *appVar="(hasErrors$ | async) as hasErrors">
    <app-page title="Вход"
              [showBackButton]="true"
              (backButtonClicked)="handleBackButtonClicked()"
    >
      <mat-error *ngIf="hasErrors">
        Не удается войти в аккаунт
      </mat-error>

      <form [formGroup]="form"
            (ngSubmit)="handleFormSubmit()"
            class="sign-in-form">
        <mat-form-field>
          <mat-label>Логин</mat-label>

          <input matInput
                 formControlName="login"
                 type="text"
                 placeholder="Введите ваш логин">

          <mat-error *ngIf="form.controls.login.invalid && form.controls.login.touched">
            Значение не указано
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>Пароль</mat-label>

          <input matInput
                 formControlName="password"
                 type="password"
                 placeholder="Введите пароль">

          <mat-error *ngIf="form.controls.password.invalid && form.controls.password.touched">
            Значение не указано
          </mat-error>
        </mat-form-field>

        <button type="submit"
                mat-flat-button
                [disabled]="isLoading"
                color="primary"
        >
          Войти
        </button>
      </form>
    </app-page>
  </ng-container>
</ng-container>
